summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Penketh <tamber@furryhelix.co.uk>2010-11-12 21:17:51 +0000
committerJames Penketh <tamber@furryhelix.co.uk>2010-11-12 21:17:51 +0000
commit77aff8f24b4a629410e1d17af5d349ea2d4e2bbd (patch)
tree56ad656dc171dba8d9e36ebcb0fe2411ff71b33e /net-misc/geomyidae/geomyidae-0.16.ebuild
parentnet-misc/freerdp: unmodified version bump for freerdp (diff)
downloadsunrise-77aff8f24b4a629410e1d17af5d349ea2d4e2bbd.tar.gz
sunrise-77aff8f24b4a629410e1d17af5d349ea2d4e2bbd.tar.bz2
sunrise-77aff8f24b4a629410e1d17af5d349ea2d4e2bbd.zip
net-misc/geomyidae: Moving net-misc/Geomyidae to conform with upstream renaming and corresponding version bump.
svn path=/sunrise/; revision=11540
Diffstat (limited to 'net-misc/geomyidae/geomyidae-0.16.ebuild')
-rw-r--r--net-misc/geomyidae/geomyidae-0.16.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/net-misc/geomyidae/geomyidae-0.16.ebuild b/net-misc/geomyidae/geomyidae-0.16.ebuild
new file mode 100644
index 000000000..6eb50fe39
--- /dev/null
+++ b/net-misc/geomyidae/geomyidae-0.16.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="A daemon to serve the gopher protocol"
+HOMEPAGE="http://r-36.net/src/Geomyidae/"
+SRC_URI="http://r-36.net/src/${PN}/${P}.tgz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+pkg_setup(){
+ enewgroup gopherd
+ enewuser gopherd -1 -1 /var/gopher gopherd
+}
+
+src_compile() {
+ tc-export CC
+ emake || die
+}
+
+src_install() {
+ dosbin ${PN} || die
+
+ newinitd rc.d/Gentoo.init.d ${PN} || die
+ newconfd rc.d/Gentoo.conf.d ${PN} || die
+
+ insinto /var/gopher
+ doins index.gph || die
+ fowners -R root.gopherd /var/gopher || die
+ fperms -R g=rX,o=rX /var/gopher || die
+
+ doman ${PN}.8 || die
+ dodoc README || die
+}